<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01//EN">
<html>
<head>
  <meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
  <title>SonarLint report of microservicepipelinepoc</title>
  <link href="sonarlintreport_files/sonar.css" media="all" rel="stylesheet" type="text/css">
  <link rel="shortcut icon" type="image/x-icon" href="sonarlintreport_files/favicon.ico">
  <script type="text/javascript" src="sonarlintreport_files/jquery.min.js"></script>
  <script type="text/javascript">
    var issuesPerComponent = [
      [
          {'id': '0', 'r': 'javascript:S2228', 'startLine': 23, 'startLineOffset': 8, 'endLine': 23, 'endLineOffset': 19, 's': 'minor'},
          {'id': '1', 'r': 'javascript:S2228', 'startLine': 25, 'startLineOffset': 8, 'endLine': 25, 'endLineOffset': 19, 's': 'minor'}
      ]
      
    ];
    var nbComponents = 1;
    var separators = new Array();

    function showLine(fileIndex, lineId) {
      var elt = $('#' + fileIndex + 'L' + lineId);
      if (elt != null) {
        elt.show();
      }
      elt = $('#' + fileIndex + 'LV' + lineId);
      if (elt != null) {
        elt.show();
      }
    }

    /* lineIds must be sorted */
    function showLines(fileIndex, lineIds) {
      var lastSeparatorId = 9999999;
      for (var lineIndex = 0; lineIndex < lineIds.length; lineIndex++) {
        var lineId = lineIds[lineIndex];
        if (lineId > 0) {
          if (lineId > lastSeparatorId) {
            var separator = $('#' + fileIndex + 'S' + lastSeparatorId);
            if (separator != null) {
              separator.addClass('visible');
              separators.push(separator);
            }
          }

          for (var i = -2; i < 3; ++i) {
            showLine(fileIndex, lineId + i);
          }
          lastSeparatorId = lineId + 2;
        }
      }
    }
     function hideAll() {
       $('tr.row').hide();
       $('div.issue').hide();
       for (var separatorIndex = 0; separatorIndex < separators.length; separatorIndex++) {
         separators[separatorIndex].removeClass('visible');
       }
       separators.length = 0;
       $('.sources span.ko').removeClass('ko');
     }

     function showIssues(fileIndex, issues) {
       $.each(issues, function(index, issue) {
         $('#' + issue['id']).show();
         $('span.issue-' + issue['id']).addClass('ko');
       });
       var showComponent = issues.length > 0;
       if (showComponent) {
         $('#comp-table-' + fileIndex).show();
       } else {
         $('#comp-table-' + fileIndex).hide();
       }
     }


    function refreshFilters(updateSelect) {
      if (updateSelect) {
        populateSelectFilter();
      }
      var ruleFilter = $('#rule_filter').val();

      hideAll();
      $('.all').removeClass('all-masked');
      for (var compIndex = 0; compIndex < nbComponents; compIndex++) {
        var filteredIssues = $.grep(issuesPerComponent[compIndex], function(v) {
              return (ruleFilter == '' || v['r'] == ruleFilter || v['s'] == ruleFilter);
            }
        );

        var linesToDisplay = $.map(filteredIssues, function(v, i) {
          return v['startLine'];
        });

        linesToDisplay.sort();// the showLines() requires sorted ids
        showLines(compIndex, linesToDisplay);
        showIssues(compIndex, filteredIssues);
      }
    }
    
    var all_severities = ['blocker', 'critical', 'major', 'minor', 'info'];


    var severityFilter = [
       { "key": "minor",
         "label": "Minor",
         "total": 2
       }
    ].sort(function(a, b) {
        var x = all_severities.indexOf(a.key); var y = all_severities.indexOf(b.key);
        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    });

    var ruleFilter = [
       { "key": "javascript:S2228",
         "label": "Console logging should not be used",
         "total": 2
       }
    ].sort(function(a, b) {
        var x = a.label; var y = b.label;
        return ((x < y) ? -1 : ((x > y) ? 1 : 0));
    });

    function populateSelectFilter() {
       var ruleFilterSelect = $('#rule_filter');
       ruleFilterSelect.empty().append(function() {
         var output = '';
         output += '<option value="" selected>Filter by:</option>';
         output += '<optgroup label="Severity">';
         $.each(severityFilter, function(key, value) {
           if (value.total > 0) {
             output += '<option value="' + value.key + '">' + value.label + ' (' + value.total + ')</option>';
           }
         });
         output += '<optgroup label="Rule">';
         $.each(ruleFilter, function(key, value) {
           if (value.total > 0) {
             output += '<option value="' + value.key + '">' + value.label + ' (' + value.total + ')</option>';
           }
         });
         return output;
       });
    }
  </script>
</head>
<body>
<div id="reportHeader">
  <div id="logo"><img src="sonarlintreport_files/sonarlint.png" alt="SonarLint"/></div>
  <div class="title">SonarLint Report</div>
  <div class="subtitle">microservicepipelinepoc - 8 May 2021, 10:31:08</div>
</div>

<div id="content">

  <div id="summary">
  <table width="100%">
    <tbody>
    <tr>
      <td align="center" width="33%">
        <h3>Issues</h3>
          <span class="big worst">2</span>
      </td>
    </tr>
    </tbody>
  </table>
  <br/>
  <table width="100%" class="data">
    <thead>
    <tr class="total">
      <th colspan="2" align="left">
          Issues per Rule
      </th>
      <th align="right" width="1%" nowrap>Issues</th>
    </tr>
    </thead>
    <tbody>
      <tr class="hoverable">
        <td width="20">
          <i class="icon-severity-minor"></i>
        </td>
        <td align="left">
          Console logging should not be used
        </td>
        <td align="right">
            <span class="worst">2</span>
        </td>
      </tr>
    </tbody>
  </table>
  </div>

  <br/>

  <div class="banner">
  <input type="checkbox" id="new_filter" onclick="refreshFilters(true)" checked="checked" />

  <select id="rule_filter" onchange="refreshFilters(false)"></select>
  </div>

  <div id="summary-per-file">
  <table width="100%" class="data" id="comp-table-0">
    <thead>
    <tr class="total">
      <th align="left" colspan="2" nowrap>
        <div class="file_title">
          <img src="sonarlintreport_files/FIL.png" title="Resource icon"/>
          <a href="#" onclick="$('.comp-details-0').toggleClass('masked'); return false;" style="color: black">src\index.js</a>
        </div>
      </th>
      <th align="right" width="1%" nowrap class="comp-details-0">
          <span class="worst" id="total">2</span>
        <br/>Issues
      </th>
    </tr>
    </thead>
    <tbody class="comp-details-0">
      <tr class="hoverable">
        <td width="20">
          <i class="icon-severity-minor"></i>
        </td>
        <td align="left">
          Console logging should not be used
        </td>
        <td align="right">
          2
        </td>
      </tr>
      <tr>
        <td colspan="3">
          <table class="sources" border="0" cellpadding="0" cellspacing="0">
                <tr id="0L21" class="row">
                  <td class="lid ">21</td>
                  <td class="line ">
                    <pre>app.listen(8080, async () =&gt;{</pre>
                  </td>
                </tr>
                <tr id="0S21" class="blockSep">
                  <td colspan="2"></td>
                </tr>
                <tr id="0L22" class="row">
                  <td class="lid ">22</td>
                  <td class="line ">
                    <pre>    try{</pre>
                  </td>
                </tr>
                <tr id="0S22" class="blockSep">
                  <td colspan="2"></td>
                </tr>
                <tr id="0L23" class="row">
                  <td class="lid ">23</td>
                  <td class="line ">
                    <pre>        <span class="issue-0">console.log</span>('Server at 8080');</pre>
                  </td>
                </tr>
                <tr id="0S23" class="blockSep">
                  <td colspan="2"></td>
                </tr>
                  <tr id="0LV23" class="row">
                    <td class="lid"></td>
                    <td class="issues">
                        <div class="issue" id="0">
                          <div class="vtitle">
                            <i class="icon-severity-minor"></i>
                            <span class="rulename">Remove this logging statement.</span>
                            &nbsp;
                            <img src="sonarlintreport_files/sep12.png">&nbsp;
                            <span class="rule_key"><a href="sonarlintreport_rules/javascript_S2228.html" target="sonarlint_rule">javascript:S2228</a></span>
                          </div>
                          <div class="discussionComment">
                            Console logging should not be used
                          </div>
                        </div>
                    </td>
                  </tr>
                <tr id="0L24" class="row">
                  <td class="lid ">24</td>
                  <td class="line ">
                    <pre>    }catch(err){</pre>
                  </td>
                </tr>
                <tr id="0S24" class="blockSep">
                  <td colspan="2"></td>
                </tr>
                <tr id="0L25" class="row">
                  <td class="lid ">25</td>
                  <td class="line ">
                    <pre>        <span class="issue-1">console.log</span>(err);</pre>
                  </td>
                </tr>
                <tr id="0S25" class="blockSep">
                  <td colspan="2"></td>
                </tr>
                  <tr id="0LV25" class="row">
                    <td class="lid"></td>
                    <td class="issues">
                        <div class="issue" id="1">
                          <div class="vtitle">
                            <i class="icon-severity-minor"></i>
                            <span class="rulename">Remove this logging statement.</span>
                            &nbsp;
                            <img src="sonarlintreport_files/sep12.png">&nbsp;
                            <span class="rule_key"><a href="sonarlintreport_rules/javascript_S2228.html" target="sonarlint_rule">javascript:S2228</a></span>
                          </div>
                          <div class="discussionComment">
                            Console logging should not be used
                          </div>
                        </div>
                    </td>
                  </tr>
                <tr id="0L26" class="row">
                  <td class="lid ">26</td>
                  <td class="line ">
                    <pre>        throw(err);</pre>
                  </td>
                </tr>
                <tr id="0S26" class="blockSep">
                  <td colspan="2"></td>
                </tr>
                <tr id="0L27" class="row">
                  <td class="lid ">27</td>
                  <td class="line ">
                    <pre>    }</pre>
                  </td>
                </tr>
                <tr id="0S27" class="blockSep">
                  <td colspan="2"></td>
                </tr>
          </table>
        </td>
      </tr>
    </tbody>
  </table>
  </div>
</div>
<script type="text/javascript">
  $(function() {
    refreshFilters(true);
  });
</script>
</body>
</html>
